loadEffect : Effect "kwin4_effect_sheet" is not supported

01/11/2012 - 14:00 von Marc Haber | Report spam
Hi,

auf meinem Notebook kann ich einige Desktopeffekte nicht einschalten.
Es erscheint ein Popup, das sagt, dass der Effekt nicht eingeschaltet
werden kann. In der .xsession-errors steht das hier:

|OpenGL vendor string: Tungsten Graphics, Inc
|OpenGL renderer string: Mesa DRI Intel(R) Sandybridge Mobile
|OpenGL version string: 3.0 Mesa 8.0.4
|OpenGL shading language version string: 1.30
|Driver: Intel
|GPU class: SandyBridge
|OpenGL version: 3.0
|GLSL version: 1.30
|Mesa version: 8.0.4
|X server version: 1.12.4
|Linux kernel version: 3.6.3
|Direct rendering: yes
|Requires strict binding: yes
|GLSL shaders: yes
|Texture NPOT support: yes
|kwin(7340) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect "kwin4_effect_sheet" is not supported
|kwin(7340) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect "kwin4_effect_glide" is not supported
|kwin(7340) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect "kwin4_effect_magiclamp" is not supported
|kwin(7340) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect "kwin4_effect_blur" is not supported
|kwin(7340) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect "kwin4_effect_wobblywindows" is not supported
|kwin(7340) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect "kwin4_effect_flipswitch" is not supported
|kwin(7340) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect "kwin4_effect_startupfeedback" is not supported
|kwin(7340) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect "kwin4_effect_trackmouse" is not supported
|kwin(7340) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect "kwin4_effect_cube" is not supported
|kwin(7340) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect "kwin4_effect_cubeslide" is not supported
|kwin(7340) KWin::EffectsHandlerImpl::loadEffect: EffectsHandler::loadEffect : Effect "kwin4_effect_coverswitch" is not supported
|plasma-desktop(7352)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
|QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
|QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
|Removed: "/org/bluez/5457/hci0"
|Removed: "/org/bluez/5457/hci0"
|Object::disconnect: Unexpected null parameter
|Object::disconnect: Unexpected null parameter
|Object::disconnect: Unexpected null parameter
|Unregistering object

das /var/log/Xorg.0.log is unauffàllig.

Ist das ein Bug in X, ein Bug in kwin, hat die SandyBridge-Grafik zu
wenig "bums" oder ist das einfach im X-Server noch nicht
implementiert?

Auf der Radeon-Mobility des Zweitnotebooks, einem ThinkPad T60, gehen
diese Effekte problemlos.

Grüße
Marc
Marc Haber | " Questions are the | Mailadresse im Header
Mannheim, Germany | Beginning of Wisdom " | http://www.zugschlus.de/
Nordisch by Nature | Lt. Worf, TNG "Rightful Heir" | Fon: *49 621 72739834
 

Lesen sie die antworten

#1 Thomas PointedEars Lahn
01/11/2012 - 19:38 | Warnen spam
Marc Haber wrote:

auf meinem Notebook kann ich einige Desktopeffekte nicht einschalten.
Es erscheint ein Popup, das sagt, dass der Effekt nicht eingeschaltet
werden kann.



*Mehrere* Effekte anscheinend.

In der .xsession-errors steht das hier:

|OpenGL vendor string: Tungsten Graphics, Inc
|OpenGL renderer string: Mesa DRI Intel(R) Sandybridge
|Mobile
|OpenGL version string: 3.0 Mesa 8.0.4
|OpenGL shading language version string: 1.30
|Driver: Intel
|GPU class: SandyBridge
|OpenGL version: 3.0
|GLSL version: 1.30
|Mesa version: 8.0.4
|X server version: 1.12.4
|Linux kernel version: 3.6.3
|Direct rendering: yes
|Requires strict binding: yes
|GLSL shaders: yes
|Texture NPOT support: yes
|kwin(7340) KWin::EffectsHandlerImpl::loadEffect:
|EffectsHandler::loadEffect : Effect "kwin4_effect_sheet" is not
|supported
|kwin(7340) KWin::EffectsHandlerImpl::loadEffect:
|EffectsHandler::loadEffect : Effect "kwin4_effect_glide" is not
|supported
|kwin(7340) KWin::EffectsHandlerImpl::loadEffect:
|EffectsHandler::loadEffect : Effect "kwin4_effect_magiclamp" is not
|supported
|kwin(7340) KWin::EffectsHandlerImpl::loadEffect:
|EffectsHandler::loadEffect : Effect "kwin4_effect_blur" is not
|supported
|kwin(7340) KWin::EffectsHandlerImpl::loadEffect:
|EffectsHandler::loadEffect : Effect "kwin4_effect_wobblywindows" is not
|supported
|kwin(7340) KWin::EffectsHandlerImpl::loadEffect:
|EffectsHandler::loadEffect : Effect "kwin4_effect_flipswitch" is not
|supported
|kwin(7340) KWin::EffectsHandlerImpl::loadEffect:
|EffectsHandler::loadEffect : Effect "kwin4_effect_startupfeedback" is
|not supported
|kwin(7340) KWin::EffectsHandlerImpl::loadEffect:
|EffectsHandler::loadEffect : Effect "kwin4_effect_trackmouse" is not
|supported
|kwin(7340) KWin::EffectsHandlerImpl::loadEffect:
|EffectsHandler::loadEffect : Effect "kwin4_effect_cube" is not
|supported
|kwin(7340) KWin::EffectsHandlerImpl::loadEffect:
|EffectsHandler::loadEffect : Effect "kwin4_effect_cubeslide" is not
|supported
|kwin(7340) KWin::EffectsHandlerImpl::loadEffect:
|EffectsHandler::loadEffect : Effect "kwin4_effect_coverswitch" is not
|supported plasma-desktop(7352)/kdecore (KConfigSkeleton)
|KCoreConfigSkeleton::writeConfig: QDBusConnection: session D-Bus
|connection created before QCoreApplication. Application may misbehave.
|QDBusConnection: session D-Bus connection created before
|QCoreApplication. Application may misbehave.
|Removed: "/org/bluez/5457/hci0"
|Removed: "/org/bluez/5457/hci0"
|Object::disconnect: Unexpected null parameter
|Object::disconnect: Unexpected null parameter
|Object::disconnect: Unexpected null parameter
|Unregistering object

das /var/log/Xorg.0.log is unauffàllig.

Ist das ein Bug in X, ein Bug in kwin, hat die SandyBridge-Grafik zu
wenig "bums" oder ist das einfach im X-Server noch nicht
implementiert?



Ja.

Auf der Radeon-Mobility des Zweitnotebooks, einem ThinkPad T60, gehen
diese Effekte problemlos.



Damit hast Du Deine Frage selbst beantwortet. Wobei es nicht unbedingt an
der Hardware liegen muss, es kann auch einfach der Treiber für die
Grafikkarte es (noch) nicht können.

Wenn ich die ATI Radeon HD 4330 in meinem Notebook mit dem proprietàren
Treiber (fglrx, als Kernel-Modul) laufen lasse, kann ich damit mehr und
anspruchsvollere KDE-Desktop-Effekte verwenden (und überhaupt mehr/etwas
damit machen) als mit den FOSS-Treibern für X.org, die es als fertiges
Debian-Paket (z. B. xserver-xorg-video-radeon) gibt. Mir fàllt deshalb das
"Mesa" am Anfang Deines "OpenGL renderer string" auf. Mesa ist eine Open-
Source-Implementierung (MIT-Lizenz) von OpenGL. [1]

Bei mir sieht das (mit fglrx) hingegen so aus:

| $ glxinfo | grep -i opengl
| OpenGL vendor string: Advanced Micro Devices, Inc.
| OpenGL renderer string: ATI Mobility Radeon HD 4300 Series
| OpenGL version string: 3.3.11631 Compatibility Profile Context
| OpenGL shading language version string: 3.30
| OpenGL extensions:

HTH


[1] <http://en.wikipedia.org/wiki/Mesa_(computer_graphics)>

PointedEars

Ähnliche fragen